### 5.1.141 setring

`Syntax:`
  `setring` ring_name
`Type:`
  none
`Purpose:`
  changes the basering to another (already defined) ring.
`Example:`

        ring r1=0,(x,y),lp;
        // the basering is r1
        ring r2=32003,(a(1..8)),ds;
        // the basering is r2
        setring r1;
        // the basering is again r1
        nameof(basering);
      ==> r1
        listvar();
      ==> // r2                             [0]  ring
      ==> // r1                             [0]  *ring

`Use in procedures:`
  All changes of the basering by a definition of a new ring or a `setring` command in a procedure are local to this procedure. Use `keepring` to move a ring, which is local to a procedure, up by one nesting level.

See keepring; qring; ring.

User manual for Singular version 4.4.1, 2025, generated by texi2html.